(* Name     : General.thy - Definitions based on Set.thy (and thereby on HOL)
	      - an Isabelle theory for RALL -
   Author   : David von Oheimb, Technische Universitaet Muenchen 
   Copyright: 1994

   created  : 18-Nov-94 extracted from Lattice.thy
   updated  : 09-Jan-95 SetCompr
   updated  : 04-Feb-97 adaptions for new HOL version
*)

General = Set +


consts

  SetCompr	:: "['a => 'b, 'a => bool] => 'b set"


rules

  setcompr_def	"SetCompr f P == {f x |x. P x}"

end


