(*  Title:      RALL/ROOT
    ID:         $Id:$
    Author:     David von Oheimb
    Copyright   1997 Technische Universitaet Muenchen

ROOT file for the Relational Language and Logic RALL
*)

val banner = "Relational Language and Logic";
writeln banner;

print_depth 1;

use_thy "Domain";

fun qed_spec_mp name =
  let val thm = normalize_thm [RSspec,RSmp] (result())
  in bind_thm(name, thm) end;

print_depth 10;  

val RALL_build_completed = (); (*indicate successful build*)
